$(function(){
	
	$('.projectListTab li.sellerBasicLi').click(function(){
		$(".yk_rightcontent").load("/paycoll/upRecordViewSellerBasic");
	});
	$('.projectListTab li.businessBasicLi').click(function(){
		$(".yk_rightcontent").load("/paycoll/upRecordViewBusinessBasic");
	});
	
	// 可编辑行的数据
	var tableNewsDataTotal = {
		'basicSeniorExecutive':[],// 机构基本信息-高管及主要关系人段数据项
		'basicImportantShareholder':[],// 机构基本信息-重要股东段数据项
		'basicAffiliatedEnterprises':[],// 机构基本信息-主要关联企业段数据项
		'basicSuperiorUnit':[],// 机构基本信息-上级单位(主管单位)
		'familyBasics':[],// 家庭成员信息-基础段数据项
		'borrowerBalanceSheet':[],// 借款人财务报表-2007版资产负债表段数据项
		'borrowerProfitDistributionSheet':[],// 借款人财务报表-2007版利润及利润分配表段数据项
		'borrowerCashFlowSheet':[],// 借款人财务报表-2007版现金流量表段数据项
		'borrowerLitigationInformation':[],// 借款人关注信息表-诉讼信息段数据项
		'borrowerEvents':[],// 借款人关注信息表-其他大事信息段数据项
	};
	
	
	// 删除信息
	$('.listBackBox').on('click','.deleteNewsBtn',function(){
		var $that = $(this);
		bootbox.confirm({
			title : '删除',
			message : '<div style="text-align:left;font-size:0.12rem">确认删除吗？</div>',
			size : 'small',
			buttons : {
				cancel : {
					label : '取消',
					className:'btn-white btn-info'
				},
				confirm : {
					label : '确定',
					className:'btn-white btn-info colorbtn'
				}
			},
			callback:function(result){
				if (result) {
					// 被删除行的id分类记录
					// 分类删除掉可编辑行数据里的数据
					
					
					if( $that.parents('tbody').find('tr').length == 1 ){
						$that.parents('tbody').append('<tr><td style="background:#fff;" colspan="'+$that.parents('tbody').attr('col')+'">无</td></tr>')
					};
					$that.parents('tr').remove();
				}
			}
		})
	});
	
	// 编辑信息
	$('.listBackBox').on('click','.editNewsBtn',function(){
		// 显示编辑弹框
		$("#myModal-"+$(this).parents('tbody').attr('class')+"").modal('show');
		// 清空数据显示
		$("#myModal-"+$(this).parents('tbody').attr('class')+"").find('input,select').val('');
		// 隐藏错误提示元素
		$("#myModal-"+$(this).parents('tbody').attr('class')+"").find('.error').removeClass('shows').hide();
		
		// 机构基本信息-高管及主要关系人段数据项
		if( $(this).parents('tbody').hasClass('basicInstitutionalInformation-seniorExecutive') ){
			// 填充对应行的数据
			
			
		};
		// 机构基本信息-重要股东段数据项
		if( $(this).parents('tbody').hasClass('basicInstitutionalInformation-importantShareholder') ){
			// 填充对应行的数据
			
			
		};
		// 机构基本信息-主要关联企业段数据项
		if( $(this).parents('tbody').hasClass('basicInstitutionalInformation-affiliatedEnterprises') ){
			// 填充对应行的数据
			
			
		};
		// 机构基本信息-上级单位(主管单位)
		if( $(this).parents('tbody').hasClass('basicInstitutionalInformation-superiorUnit') ){
			// 填充对应行的数据
			
			
		};
		// 家庭成员信息-基础段数据项
		if( $(this).parents('tbody').hasClass('familyMembershipInformation-basics') ){
			// 填充对应行的数据
			
			
		};
		// 借款人财务报表-2007版资产负债表段数据项
		if( $(this).parents('tbody').hasClass('borrowerFinancialStatements-balanceSheet') ){
			// 填充对应行的数据
			
			
		};
		// 借款人财务报表-2007版利润及利润分配表段数据项
		if( $(this).parents('tbody').hasClass('borrowerFinancialStatements-profitDistributionSheet') ){
			// 填充对应行的数据
			
			
		};
		// 借款人财务报表-2007版现金流量表段数据项
		if( $(this).parents('tbody').hasClass('borrowerFinancialStatements-cashFlowSheet') ){
			// 填充对应行的数据
			
			
		};
		// 借款人关注信息表-诉讼信息段数据项
		if( $(this).parents('tbody').hasClass('borrowerFinancialStatements-litigationInformation') ){
			// 填充对应行的数据
			
			
		};
		// 借款人关注信息表-其他大事信息段数据项
		if( $(this).parents('tbody').hasClass('borrowerFinancialStatements-events') ){
			// 填充对应行的数据
			
			
		};
	});
	
	// 机构基本信息-高管及主要关系人段数据项-字段各自验证
	$('[name="basicSeniorExecutive-relationshipType"]').change(function(){// 关系人类型
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="basicSeniorExecutive-name"]').keyup(function(){// 姓名
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="basicSeniorExecutive-certificateType"]').change(function(){// 证件类型
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="basicSeniorExecutive-certificateNo"]').keyup(function(){// 证件号码
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	
	
	// 机构基本信息-高管及主要关系人段数据项-确认编辑
	$('#myModal-basicInstitutionalInformation-seniorExecutive .colorbtn').click(function(){
		// 字段验证
		$('[name="basicSeniorExecutive-relationshipType"],[name="basicSeniorExecutive-certificateType"]').change();
		$('[name="basicSeniorExecutive-name"],[name="basicSeniorExecutive-certificateNo"]').keyup();
		// 通过字段验证
		if( $('#myModal-basicInstitutionalInformation-seniorExecutive').find('.error.shows').length <= 0 ){
			$("#myModal-basicInstitutionalInformation-seniorExecutive").modal('hide');
			// 更新该行的数据
		}
	});
	
	// 机构基本信息-重要股东段数据项-字段各自验证
	$('[name="basicImportantShareholder-shareholderType"]').change(function(){// 股东类型
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="basicImportantShareholder-shareholderName"]').keyup(function(){// 股东名称
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="basicImportantShareholder-certificateType"]').change(function(){// 证件类型
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="basicImportantShareholder-certificateNo"]').keyup(function(){// 证件号码
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="basicImportantShareholder-registerType"]').change(function(){// 登记注册号类型
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="basicImportantShareholder-registerNo"]').keyup(function(){// 登记注册号码
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="basicImportantShareholder-shareholdingRatio"]').keyup(function(){//持股比例
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	
	// 机构基本信息-重要股东段数据项-确认编辑
	$('#myModal-basicInstitutionalInformation-importantShareholder .colorbtn').click(function(){
		// 字段验证
		$('[name="basicImportantShareholder-shareholderType"],[name="basicImportantShareholder-certificateType"],[name="basicImportantShareholder-registerType"]').change();
		$('[name="basicImportantShareholder-shareholderName"],[name="basicImportantShareholder-certificateNo"],[name="basicImportantShareholder-registerNo"],[name="basicImportantShareholder-shareholdingRatio"]').keyup();
		// 通过字段验证
		if( $('#myModal-basicInstitutionalInformation-importantShareholder').find('.error.shows').length <= 0 ){
			$("#myModal-basicInstitutionalInformation-importantShareholder").modal('hide');
			// 更新该行的数据
		}
	});
	
	// 机构基本信息-主要关联企业段数据项-字段各自验证
	$('[name="basicAffiliatedEnterprises-associationType"]').change(function(){// 关联类型
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="basicAffiliatedEnterprises-associationName"]').keyup(function(){// 关联企业名称
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="basicAffiliatedEnterprises-registerType"]').change(function(){// 登记注册号类型
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="basicAffiliatedEnterprises-registerNo"]').keyup(function(){// 登记注册号码
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	
	// 机构基本信息-主要关联企业段数据项-确认编辑
	$('#myModal-basicInstitutionalInformation-affiliatedEnterprises .colorbtn').click(function(){
		// 字段验证
		$('[name="basicAffiliatedEnterprises-associationType"],[name="basicAffiliatedEnterprises-registerType"]').change();
		$('[name="basicAffiliatedEnterprises-associationName"],[name="basicAffiliatedEnterprises-registerNo"]').keyup();
		// 通过字段验证
		if( $('#myModal-basicInstitutionalInformation-affiliatedEnterprises').find('.error.shows').length <= 0 ){
			$("#myModal-basicInstitutionalInformation-affiliatedEnterprises").modal('hide');
			// 更新该行的数据
		}
	});
	
	// 机构基本信息-上级单位(主管单位)-字段各自验证
	$('[name="basicSuperiorUnit-parentInstitutionName"]').keyup(function(){// 上级机构名称
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="basicSuperiorUnit-registerType"]').change(function(){// 登记注册号类型
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="basicSuperiorUnit-registerNo"]').keyup(function(){// 登记注册号码
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	
	// 机构基本信息-上级单位(主管单位)-确认编辑
	$('#myModal-basicInstitutionalInformation-superiorUnit .colorbtn').click(function(){
		// 字段验证
		$('[name="basicSuperiorUnit-registerType"]').change();
		$('[name="basicSuperiorUnit-parentInstitutionName"],[name="basicSuperiorUnit-registerNo"]').keyup();
		// 通过字段验证
		if( $('#myModal-basicInstitutionalInformation-superiorUnit').find('.error.shows').length <= 0 ){
			$("#myModal-basicInstitutionalInformation-superiorUnit").modal('hide');
			// 更新该行的数据
		}
	});
	
	// 家庭成员信息-基础段数据项-字段各自验证
	$('[name="familyBasics-majorName"]').keyup(function(){// 主要关系人姓名
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="familyBasics-majorCardType"]').change(function(){// 主要关系人证件类型
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="familyBasics-majorCardNo"]').keyup(function(){// 主要关系人证件号码
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="familyBasics-relationship"]').change(function(){// 家族关系
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="familyBasics-memberName"]').keyup(function(){// 家族成员姓名
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="familyBasics-memberCardType"]').change(function(){// 家庭成员证件类型
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="familyBasics-memberCardNo"]').keyup(function(){// 家族成员证件号码
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	
	// 家庭成员信息-基础段数据项-确认编辑
	$('#myModal-familyMembershipInformation-basics .colorbtn').click(function(){
		// 字段验证
		$('[name="familyBasics-majorCardType"],[name="familyBasics-relationship"],[name="familyBasics-memberCardType"]').change();
		$('[name="familyBasics-majorName"],[name="familyBasics-majorCardNo"],[name="familyBasics-memberName"],[name="familyBasics-memberCardNo"]').keyup();
		// 通过字段验证
		if( $('#myModal-familyMembershipInformation-basics').find('.error.shows').length <= 0 ){
			$("#myModal-familyMembershipInformation-basics").modal('hide');
			// 更新该行的数据
		}
	});
	
	// 借款人关注信息表-诉讼信息段数据项-字段各自验证
	$('[name="borrowerLitigationInformation-litigationRecordSerialNumber"]').keyup(function(){// 诉讼记录流水号
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="borrowerLitigationInformation-litigationRecordDate"]').keyup(function(){// 诉讼记录日期
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="borrowerLitigationInformation-borrowerName"]').change(function(){// 借款人名称
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="borrowerLitigationInformation-prosecutorName"]').keyup(function(){// 起诉人名称
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="borrowerLitigationInformation-currency"]').change(function(){// 币种
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="borrowerLitigationInformation-amount"]').keyup(function(){// 判决执行金额
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="borrowerLitigationInformation-runDate"]').keyup(function(){// 判决执行日期
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="borrowerLitigationInformation-runResult"]').keyup(function(){// 执行结果
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="borrowerLitigationInformation-runReason"]').keyup(function(){// 被起诉原因
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	
	// 借款人关注信息表-诉讼信息段数据项-确认编辑
	$('#myModal-borrowerFinancialStatements-litigationInformation .colorbtn').click(function(){
		// 字段验证
		$('[name="borrowerLitigationInformation-borrowerName"],[name="borrowerLitigationInformation-currency"]').change();
		$('[name="borrowerLitigationInformation-litigationRecordSerialNumber"],[name="borrowerLitigationInformation-litigationRecordDate"],[name="borrowerLitigationInformation-prosecutorName"],[name="borrowerLitigationInformation-amount"],[name="borrowerLitigationInformation-runDate"],[name="borrowerLitigationInformation-runResult"],[name="borrowerLitigationInformation-runReason"]').keyup();
		// 通过字段验证
		if( $('#myModal-borrowerFinancialStatements-litigationInformation').find('.error.shows').length <= 0 ){
			$("#myModal-borrowerFinancialStatements-litigationInformation").modal('hide');
			// 更新该行的数据
		}
	});
	
	// 借款人关注信息表-其他大事信息段数据项-字段各自验证
	$('[name="borrowerEvents-eventsRecordSerialNumber"]').keyup(function(){// 大事记录流水号
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="borrowerEvents-eventsRecordDate"]').keyup(function(){// 大事记录日期
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="borrowerEvents-borrowerName"]').keyup(function(){// 借款人名称
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	$('[name="borrowerEvents-eventsDescribe"]').keyup(function(){// 大事描述
		if( $(this).val()=='' ){
			$(this).next().addClass('shows').show();
		}else{
			$(this).next().removeClass('shows').hide();
		}
	});
	
	// 借款人关注信息表-其他大事信息段数据项-确认编辑
	$('#myModal-borrowerFinancialStatements-events .colorbtn').click(function(){
		// 字段验证
		$('[name="borrowerEvents-eventsRecordSerialNumber"],[name="borrowerEvents-eventsRecordDate"],[name="borrowerEvents-borrowerName"],[name="borrowerEvents-eventsDescribe"]').keyup();
		// 通过字段验证
		if( $('#myModal-borrowerFinancialStatements-events').find('.error.shows').length <= 0 ){
			$("#myModal-borrowerFinancialStatements-events").modal('hide');
			// 更新该行的数据
		}
	});
	
	
	
	
	
	
	
	
	
	
	
	//暂存或保存最后的提交
	function submitFunction(e){
		var postdata = {},tipword = '';
		postdata = {
			
		};
		
		
		if( $(e.target).hasClass("tempoSave") ){
			tipword = '暂存';
			postdata.visible = false;
			// 隐藏之前的错误提示
			$("label.error").hide();
			$(".error.shows").removeClass('shows').hide();
			if($(".businessSector").find("input[data-des='factoringProductsDomestic']").is(":checked")){
				if($(".domesticFactoringProducts").find("input:checked").length==0){
					$(".domesticFactoringProducts").find("span.error").addClass("shows").show();
				}else {
					$(".domesticFactoringProducts").find("span.error").removeClass("shows").hide();
				}
			}
			if($(".businessSector").find("input[data-des='factoringProductsExport']").is(":checked")){
				if($(".exportFactoringProducts").find("input:checked").length==0){
					$(".exportFactoringProducts").find("span.error").addClass("shows").show();
				}else {
					$(".exportFactoringProducts").find("span.error").removeClass("shows").hide();
				}
			}
			
		}else{
			tipword = '保存';
			// 验证一些字段不为空(有值)时是否正确, 不正确时给出提示
			if( $("#companyName").val()=='' ){//客户名称必选
				$('#companyName').parent().find('span.error').addClass('shows').show();
			}else{
				$('#companyName').parent().find('span.error').removeClass('shows').hide();
			};
			if( !$("#pbcCreditInfo_Editor").val() ){//中国人民银行企业征信查询系统--必填
				$("#pbcCreditInfo_Editor").parent().find("span.error").addClass("shows").show();
			}
			if( !$("#publicCreditInfo_Editor").val() ){//国家企业信用信息公示系统--必填
				$("#publicCreditInfo_Editor").parent().find("span.error").addClass("shows").show();
			}
			if( !$("#judgementsOnline_Editor").val() ){//中国裁判文书网--必填
				$("#judgementsOnline_Editor").parent().find("span.error").addClass("shows").show();
			}
			if( !$("#courtExecutedInfo_Editor").val() ){//全国法院被执行人信息查询--必填
				$("#courtExecutedInfo_Editor").parent().find("span.error").addClass("shows").show();
			}
			if( !$("#executedInfo_Editor").val() ){//中国执行信息公开网--必填
				$("#executedInfo_Editor").parent().find("span.error").addClass("shows").show();
			}
			
			if( !$("#chattelFinancing_Editor").val() ){//动产融资统一登记公示系统
				$("#chattelFinancing_Editor").parent().find("span.error").addClass("shows").show();
			}
			
			if($(".businessSector").find("input:checked").length==0){
				$(".businessSector").find("span.error").addClass("shows").show();
			}else {
				$(".businessSector").find("span.error").removeClass("shows").hide();
			}
			if($(".businessSector").find("input[data-des='factoringProductsDomestic']").is(":checked")){
				if($(".domesticFactoringProducts").find("input:checked").length==0){
					$(".domesticFactoringProducts").find("span.error").addClass("shows").show();
				}else {
					$(".domesticFactoringProducts").find("span.error").removeClass("shows").hide();
				}
			}
			if($(".businessSector").find("input[data-des='factoringProductsExport']").is(":checked")){
				if($(".exportFactoringProducts").find("input:checked").length==0){
					$(".exportFactoringProducts").find("span.error").addClass("shows").show();
				}else {
					$(".exportFactoringProducts").find("span.error").removeClass("shows").hide();
				}
			}
			postdata.visible = true;
		};
		if( $("span.error.shows").length>0 ){
			if( $("span.error.shows:first").parent().prev().find('input').length ){
				$("span.error.shows:first").parent().prev().find('input:first').focus();
			}else {
				$("span.error.shows:first").parent().find('input:first').focus();
			}
			return false;
		};
		$.ajax({
			url:'/entCustomerMarketing/info/doAdd',
			type:'post',
			data:postdata,
			success:function(data){
				if( data.success ){
					new $.zui.Messager(tipword+'客户营销成功', {
					    type: 'success'
					}).show();
					if( tipword=="保存" ){
						$(".yk_rightcontent").load('/entCustomerMarketing/info/list',function(){
							backTop('.yk_orgContent');
						});
					}else {
						if( data.data.marketingInfo.id ){
							var thisId=data.data.marketingInfo.id;
							var currentScrollHeight = $('.newTabAddUpdateBox').scrollTop();
							$('.tempoBigShadowBox').removeClass('hide');
							$(".yk_rightcontent").load('/entCustomerMarketing/info/update?marketingInfoId='+thisId+'&visible=false',function(){
								$('.newTabAddUpdateBox').scrollTop(currentScrollHeight)
							});
						}
					}
				}else{
					new $.zui.Messager(tipword+'客户营销失败:'+data.msg, {
					    type: 'danger'
					 }).show();	
				}
			},
			error:function(){
				new $.zui.Messager(tipword+'客户营销时发生错误:'+status, {
				    type: 'danger'
				 }).show();	
			}
		});
		
		return false;
	} 

	//表单验证
	function addNewCustomer(e){ 
		$("#customerMarketForm").validate({
			 promptPosition : "bottomLeft",
			 submitHandler : function(form) {
				 submitFunction(e);
			 }, 
			rules : {
				"customerName":{//客户名称
					required:true
				}
			},
			messages : {
				"customerName":{//客户名称
					required:'请选择客户名称'
				}
			} 
		}); 
	};
	
	//提交按钮
	$(".yk_addNewMsg .save").click(addNewCustomer);
	
	
	// 返回上级列表
	$(".newBackBtn").click(function(){
		$(".yk_rightcontent").load("/paycoll/upRecordlist");
		return false;
	});
	
	// 返回查看
	$(".yk_addNewMsg .btn-cancel").click(function(){
		$(".yk_rightcontent").load("/paycoll/upRecordViewBuyerBasic");
		return false;
	});
	
	// 测试选择省市县
	$('#testProvince').click(function(){
		chooseProvinceEtc({
			triggerId:'#testProvince'// 触发选择元素的选择器, 即存放最终选择结果的选择器, 该元素需要至少有相对定位属性	
		})
	});
	
})
